<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Segnala</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form
    novalidate
    [formGroup]="bookingForm"
    (ngSubmit)="onSubmit()"
    class="ion-padding-horizontal"
  >
    <ion-grid>
      <ion-row>
        <ion-col sizeMd='6' size='12'>
          <ion-list>
            <ion-list-header lines="none">
              <ion-label>
                <h2>Compila il modulo per inviare una segnalazione <br>
                  <b *ngIf='dataDetails'> Via: {{dataDetails.nomevia || null }}</b>
                  <br>
                  <b>
                    #ID: {{dataDetails.id || null }}
                  </b><br>
                  <b *ngIf='userData'>
                    Operatore: {{ userData.data_user.name || null}}
                  </b>
                </h2>
              </ion-label>
            </ion-list-header>
          </ion-list>
        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Tipologia</ion-label
            >
            <ion-select ok-text="Conferma" cancel-text="Chiudi" formControlName='type' interface="action-sheet">
              <ion-select-option [value]="type.identifier" *ngFor="let type of types">{{type.name}}</ion-select-option>
            </ion-select>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.type.errors?.required"
          >
            <small class="error">Seleziona tipo</small>
          </ion-col>
        </ion-col>

        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Indirizzo segnalazione</ion-label
            >
            <ion-input
              inputmode="text"
              type="text"
              formControlName="address"
              placeholder="Via Roma, 10"
            ></ion-input>
            <ion-icon class="ion-align-self-center" slot="end" name="locate-outline" color="primary"
                      (click)="presentModal()"></ion-icon>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.address.errors?.required"
          >
            <small class="error">Inserisci un indirizzo valido</small>
          </ion-col>
        </ion-col>
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success"
            >Descrizione</ion-label
            >
            <ion-textarea
              inputmode="text"
              type="text"
              formControlName="description"
              placeholder="Inserisci informazioni dettagliate sulla segnalazione"
            ></ion-textarea>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.description.errors?.required"
          >
            <small class="error">Inserisci una descrizione</small>
          </ion-col>
        </ion-col>
<!--
        <ion-col sizeMd='6' size='12'>
          <ion-item class="input" lines="full">
            <ion-label position="floating" color="success">Recapito telefonico</ion-label>
            <ion-input
              inputmode="tel"
              type="tel"
              formControlName="phone"
              required
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.phone.errors?.required"
          >
            <small class="error">Inserisci un recapito valido</small>
          </ion-col>
        </ion-col>
-->
      </ion-row>
      <ion-row class="ion-padding-horizontal">
        <ion-col size='12'>
          <p>Puoi caricare fino ad un massimo di 3 immagini della
            segnalazione, usando la tua galleria o scattandone di nuove
          </p>

        </ion-col>
        <ion-col size='12'>
          <ion-button expand="block" (click)="takePicture()">
            Carica immagine
            <ion-icon slot="start" name="camera-outline"></ion-icon>
            </ion-button>
        </ion-col>
        <ion-col size="12" *ngIf="imageElements && imageElements.length >0"
                 class="d-flex ion-justify-content-between ion-wrap">
          <div  *ngFor="let image of imageElements;let i = index"
                style="position: relative;
    display: inline-block; margin-top: 20px;">
            <ion-thumbnail class="img-size">
              <ion-icon (click)="deletePhoto(i)"
                        name="close-circle-sharp" color="danger" class="custom-icon"></ion-icon>
              <img [src]="display(image.file)"/>
            </ion-thumbnail>
          </div>
        </ion-col>
      </ion-row>
      <ion-row class="ion-text-center ion-margin-vertical">
        <ion-col size="12">
          <ion-button
            expand="block"
            fill="outline"
            class="rounded"
            type="submit"
            color="primary"
            size="large"
          >
            <b>Invia</b>
          </ion-button>
        </ion-col>

      </ion-row>
    </ion-grid>
  </form>
</ion-content>
